# PDF To HTML

Simplistic wrapper around poppler's *pdftohtml* utility.
Allows conversion of PDF files into HTML documents.

## Presentation

This library provides an easy-to-use interface to the *pdftohtml* utility provided by the [Poppler](https://poppler.freedesktop.org/) package.

## Installation

### Gemfile
```ruby
gem 'pdftohtml'
```

### Terminal
```bash
gem install -V pdftohtml
```

## Usage

Converting a PDF document is as simple as:

```ruby
Pdftohtml.convert 'example.pdf'
# => { 1 => ["<!DOCTYPE html>", "<html>", ...] }
```

The output of the *convert* method is a hash of pages from the PDF file: { 1 => [...], 2 => [...] }
Each page is an array of lines.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
